document.addEventListener('DOMContentLoaded', () => {
  // Mock data for demonstration
  const mockData = {
    price: '$0.0014',
    marketCap: '$28.5M',
    volume: '$1.2M',
    nodes: '12,458',
    blocks: [
      {
        height: '2,458,921',
        time: '2 mins ago',
        transactions: '156',
        size: '1.2 MB',
        hash: '0x7f4b...3d2a'
      },
      {
        height: '2,458,920',
        time: '5 mins ago',
        transactions: '143',
        size: '1.1 MB',
        hash: '0x8e3c...4f1b'
      },
      {
        height: '2,458,919',
        time: '8 mins ago',
        transactions: '167',
        size: '1.3 MB',
        hash: '0x9d2a...5e2c'
      }
    ]
  };

  // Update statistics
  document.getElementById('price').textContent = mockData.price;
  document.getElementById('marketCap').textContent = mockData.marketCap;
  document.getElementById('volume').textContent = mockData.volume;
  document.getElementById('nodes').textContent = mockData.nodes;

  // Populate blocks table
  const blocksBody = document.getElementById('blocksBody');
  mockData.blocks.forEach(block => {
    const row = document.createElement('tr');
    row.innerHTML = `
      <td>${block.height}</td>
      <td>${block.time}</td>
      <td>${block.transactions}</td>
      <td>${block.size}</td>
      <td>${block.hash}</td>
    `;
    blocksBody.appendChild(row);
  });

  // Search functionality
  const searchButton = document.getElementById('searchButton');
  const searchInput = document.getElementById('searchInput');

  searchButton.addEventListener('click', () => {
    const query = searchInput.value.trim();
    if (query) {
      alert(`Searching for: ${query}`);
      // Implement actual search functionality here
    }
  });

  // Allow search on Enter key
  searchInput.addEventListener('keypress', (e) => {
    if (e.key === 'Enter') {
      searchButton.click();
    }
  });

  // Auto-refresh blocks every 30 seconds
  setInterval(() => {
    // Implement real-time block updates here
    console.log('Refreshing blocks...');
  }, 30000);
});
